org.apache.hadoop.yarn.sharedcache

## Class ChecksumSHA256Impl

- java.lang.Object
- - org.apache.hadoop.yarn.sharedcache.ChecksumSHA256Impl

- All Implemented Interfaces:
    SharedCacheChecksum

      @InterfaceAudience.Private
       @InterfaceStability.Evolving
      public class ChecksumSHA256Impl
      extends Object
      implements SharedCacheChecksum

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChecksumSHA256Impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `computeChecksum(InputStream in)` Calculate the checksum of the passed input stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChecksumSHA256Impl

          public ChecksumSHA256Impl()

  - ### Method Detail

    - #### computeChecksum

          public String computeChecksum(InputStream in)
                                 throws IOException

      Description copied from interface: `SharedCacheChecksum`
      Calculate the checksum of the passed input stream.
      Specified by:
        `computeChecksum` in interface `SharedCacheChecksum`
      Parameters:
        `in` - `InputStream` to be checksumed
      Returns:
        the message digest of the input stream
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.